Package org.apache.lucene.facet.taxonomy

## Class TaxonomyFacetSumFloatAssociations

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets
      - - org.apache.lucene.facet.taxonomy.TaxonomyFacetFloatAssociations
        - - org.apache.lucene.facet.taxonomy.TaxonomyFacetSumFloatAssociations

-     @Deprecated
      public class TaxonomyFacetSumFloatAssociations
      extends TaxonomyFacetFloatAssociations

  Deprecated.
  This class is being deprecated in favor of `TaxonomyFacetFloatAssociations`, which provides more flexible aggregation functionality beyond just "sum"
  Aggregates sum of int values previously indexed with `FloatAssociationFacetField`, assuming the default encoding.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

      `aggregationFunction, values`

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `config, indexFieldName, taxoReader`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaxonomyFacetSumFloatAssociations​(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)` | Deprecated. Create `TaxonomyFacetSumFloatAssociations` against the specified index field.
    `TaxonomyFacetSumFloatAssociations​(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)` | Deprecated. Create `TaxonomyFacetSumFloatAssociations` against the default index field.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.FloatTaxonomyFacets

      `getAllChildren, getSpecificValue, getTopChildren, getTopDims, rollup`

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `childrenLoaded, getAllDims, siblingsLoaded, verifyDim`

    - ### Methods inherited from class org.apache.lucene.facet.Facets

      `validateTopN`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyFacetSumFloatAssociations

          public TaxonomyFacetSumFloatAssociations​(TaxonomyReader taxoReader,
                                                   FacetsConfig config,
                                                   FacetsCollector fc)
                                            throws IOException

      Deprecated.
      Create `TaxonomyFacetSumFloatAssociations` against the default index field.
      Throws:
        `IOException`

    - #### TaxonomyFacetSumFloatAssociations

          public TaxonomyFacetSumFloatAssociations​(String indexFieldName,
                                                   TaxonomyReader taxoReader,
                                                   FacetsConfig config,
                                                   FacetsCollector fc)
                                            throws IOException

      Deprecated.
      Create `TaxonomyFacetSumFloatAssociations` against the specified index field.
      Throws:
        `IOException`